import numpy as np
from sklearn import linear_model
def generate_data(n, beta, Xfile, Yfile):
    p = beta.size # beta is a numpy vector.
    # Each data point is drawn indep'ly with
    # independent Laplace-distributed entries
    x = np.random.laplace(loc=0, scale=1, size=(n,p))
    # Observed data is beta^T x plus normal noise.
    noise = np.random.normal(0, 100, size=n)
    y = np.matmul(beta,x.T) + noise
    np.savetxt(Xfile, x)
    np.savetxt(Yfile, y)
def load_data(Xfile,Yfile):
    x = np.loadtxt(Xfile)
    y = np.loadtxt(Yfile)
    return (x,y)
def run_experiment(n, beta, Xfile, Yfile):
    generate_data(n,beta,Xfile,Yfile)
    (x,y) = load_data(Xfile,Yfile)
    olsmodel = linear_model.LinearRegression()
    olsmodel.fit(x,y)
    return olsmodel
